Bug 109202 - XHTML Export: SVG not exported correctly
Summary: XHTML Export: SVG not exported correctly
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
5.2.0.4 release
Hardware: All All
: medium normal
Assignee: Samuel Mehrbrodt (CIB)
QA Contact:
URL:
Whiteboard: target:6.0.0 target:5.4.1
Keywords:
Depends on:
Blocks: HTML-Export
  Show dependency treegraph
 
Reported: 2017-07-19 08:47 UTC by Samuel Mehrbrodt (CIB)
Modified: 2017-09-07 15:56 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
svg-example.odt (86.51 KB, application/vnd.oasis.opendocument.text)
2017-07-19 08:47 UTC, Samuel Mehrbrodt (CIB)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Samuel Mehrbrodt (CIB) 2017-07-19 08:47:32 UTC
Created attachment 134727 [details]
svg-example.odt

Convert attached document to XHTML using:
lowriter --convert-to xhtml svg-example.odt

Then open the resulting xhtml file in a browser - the image is not displayed.
Comment 1 Commit Notification 2017-07-27 07:03:10 UTC
Samuel Mehrbrodt committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=4469b29faeb8dbf7793a5d81d9c5ddebacf3015f

tdf#109202 Add mimetype to image element

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 2 Commit Notification 2017-07-27 11:54:12 UTC
Samuel Mehrbrodt committed a patch related to this issue.
It has been pushed to "libreoffice-5-4":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=01b92d73b6efd638e025d4b0520c996d5e417937&h=libreoffice-5-4

tdf#109202 Add mimetype to image element

It will be available in 5.4.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 Samuel Mehrbrodt (CIB) 2017-08-08 10:49:29 UTC
The exported XHTML is displayed correctly in the following Browsers now:
* Internet Explorer 11
* Chrome 60
* Firefox 53
* MS Edge
Comment 4 Commit Notification 2017-09-05 13:57:07 UTC
Samuel Mehrbrodt committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=ada87712ebc00b547e29fe31052e56f3495ea226

tdf#109202: Convert images via command line parameter, CLI support

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Commit Notification 2017-09-05 14:10:12 UTC
Katarina Behrens committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=a897c5ed86c6d8981305bf725e83c76e4e3a36d0

tdf#109202: pass arg of --convert-images-to to (f)odt filter

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Commit Notification 2017-09-07 15:56:57 UTC
Thorsten Behrens committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=bfa662d99a9d1efe17e5b7ce6e2ebfbc7a317c00

tdf#109202 add help blurp for new --convert-images-to

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.